#!/usr/bin/python

import csnd6

#CSND CODE###########################################################
###################################################################
###################################################################
c = csnd6.Csound()    # create an instance of Csound

#read and set csound options from file
foptions = open('csndconfig.txt', 'r')
for opt in foptions:
	if opt[0] != ";" and opt != "":
		c.SetOption(opt.replace(' ', '').strip('\n'))  
foptions.close()

file = "test_opt.csd"

c.Compile(file)# Compile csd


#performance thread
perfThread = csnd6.CsoundPerformanceThread(c)
perfThread.Play()


#PY CODE###########################################################
###################################################################
###################################################################
while 1:
	pass
